





## BP Shell Init

[ -z "$BPDIR" -a -n "$PRODDIR" ] && BPDIR="$PRODDIR"
UID=12345
export BPDIR UID


set_ECHO() { 
	[ -d /usr/5bin ] && { PATH="/usr/5bin:${PATH}"; export PATH; }
  ECHO="echo -e"; 
  echo -e "hello" | grep "e h" >/dev/null && ECHO="echo"
  OS=`uname 2>/dev/null`
  case "$OS" in
      SunOS) [ -x /usr/5bin/echo ] && ECHO=/usr/5bin/echo ;;
  esac
  unset OS;
}

[ -z "$ECHO" ] && { set_ECHO; export ECHO ; }

bpsh_init()
{
	RTN=0

	eval `id  |  sed 's/[^a-z0-9=].*//'`
	UID=$id
	




	
	umask 022
	if [ ! -f /etc/default/bp.ini ]; then
    	${ECHO:=echo} "\n  * File \"/etc/default/bp.ini\" does not exist!\n  * Consider reinstalling the product."
    	RTN=1
	else
		eval `cat /etc/default/bp.ini | grep -v "^;" | grep =` > /dev/null 2>&1
		if [ ! -d "$BPDIR" ]; then
    		${ECHO} "\n  *** Can't determine product directory.***\n  *** Try setting BPDIR to the install directory in \"/etc/default/bp.ini\"***"
    		RTN=1
		fi
	fi

	return $RTN
}

