#!/bin/sh

smbconf=/etc/samba/smb.conf
eval `grep BPDIR /etc/default/bp.ini`

first_time=true
for share in `$BPDIR/bin/bputil -g NULL NULL NULL $smbconf`
do
	path=`$BPDIR/bin/bputil -g $share path NULL $smbconf`
	if [ "$path" != "NULL" ]
	then
		if [ $first_time = "true" ]
		then
			echo -n "${share}:${path}"
			first_time=false
		else
			echo -n "|${share}:${path}"
		fi
	fi
done

