<?php
// defines BP, xml, action, cookie
require 'header.php';

$dpuID = isset($_GET['sid']) ? (int)$_GET['sid'] : $BP->get_local_system_id();

switch ($action) {				
	case "list":
			// Get the data reduction statistics
			$result = $BP->dedup_supported($dpuID);
			if ($result !== -1 && $result != false) {
				$statistics = $BP->get_data_reduction_stats($dpuID);
				if ($statistics !== false) {
					$xml->push('root');
					$xml->element('Type', $result);
					foreach ($statistics as $entry) {
						if (isset($entry['sample_time'])) {
							$attributes = array('SampleTime' => $entry['sample_time']);
							if (isset($entry['deduped'])) {
								$attributes['Deduped'] = $entry['deduped'];
							}
							if (isset($entry['compressed'])) {
								$attributes['Compressed'] = $entry['compressed'];
							}
							if (isset($entry['overall'])) {
								$attributes['Overall'] = $entry['overall'];
							}
							$xml->emptyElement('Entry', $attributes);
						}
					}
					$xml->pop();
				} else {
					$BP->buildResult($xml, false);
				}
			} else {
				$BP->buildResult($xml, false);
			}
			echo($xml->getXml());
			break;
			
	case "dedup":
			// See if deduplication is supported on this system.
			$result = $BP->dedup_supported($dpuID);
			if ($result !== false) {
				$xml->push('root');
				$xml->element('DedupSupported', $result == true ? "1" : "0");
				$xml->pop(); // root
			} else {
				$BP->buildResult($xml, false);
			}
			echo($xml->getXml());
			break;
}

$BP->destroyCookie();
?>