<?php
// defines BP, xml, action, cookie
require '../header.php';
require 'dpurestorefunctions.php';

$dpuID = isset($_GET['sid']) ? (int)$_GET['sid'] : $BP->get_local_system_id();
$user = isset($_GET['user']) ? $_GET['user'] : "";
$dpuName = isset($_GET['dpu']) ? $_GET['dpu'] : "";
$ip = isset($_GET['ip']) ? $_GET['ip'] : "";
		
switch ($action){
	
	case "target":
	$Log->writeVariable("in target");
	$syncUser = $_GET['user'];
	
	$result = $BP->dpu_restore_vault_check_version($syncUser, $dpuName, $ip);
	
				if ($result !== false){
					$BP->buildResult($xml, $result);
				}else {
					$BP->buildResult($xml, false);
			}

		echo($xml->getXml());
		break;
		
	case "state":
	$Log->writeVariable("in state");
	//check vault state and rewrite client metadata first
		global $Log;
		$Log->writeVariable($_REQUEST['clients']);
		$clientDevices = xmlToClients($_REQUEST['clients']);
		$bStorage = $_GET['bstorage'] == '1'? true : false;
		$bAutoDR = $_GET['bautodr'] == '1'? true : false;	
		$aClients = array();
		
		foreach ($clientDevices as $client) {
			$aClients[] = $client['client_name'];
		}	
		
		//is this an auto DR?
		$BP->save_auto_dr_preference($bAutoDR, $user, $dpuName);
		
		$result = true;
		//only call rewrite if user selected storage!!!
		if($bStorage){
			$result = $BP->rewrite_client_metadata($clientDevices, $user, $dpuName);
			
			if($result !== false) {
				$result = $BP->vault_validate_devices($user, $dpuName, $ip, $aClients);	
			}
		}
		
		if ($result !== false) {
			$result = $BP->dpu_restore_vault_state($user, $dpuName, $ip);
		}
		
		$BP->buildResult($xml, $result);
			
		echo($xml->getXml());
		break;
			
	case "encrypted":
	$Log->writeVariable("in encrypted");
		$user = $_GET['user'];
    	$name = $_GET['dpu'];
		
		$isEncrypted = $BP->is_vault_dpu_encryption_enabled($user, $name);
		
		if($isEncrypted !== false){
				$BP->buildResult($xml, $isEncrypted);
			}else{
				$BP->buildResult($xml, false);
		}
		
		echo($xml->getXml());
		break;
		
	case "restore":
	$Log->writeVariable("in restore");
		$clientDevices = xmlToClients($_REQUEST['clients']);
		$aClients = array();
		
		foreach ($clientDevices as $client) {
			$aClients[] = $client['client_name'];
		}
		$result = $BP->dpu_restore_clients($user, $dpuName, $ip, $aClients);
		if($result !== false){
			$BP->buildResult($xml, $result);
			} else {
			$BP->buildResult($xml, false);
		}
		echo($xml->getXml());
		break;
		
}	

$BP->destroyCookie();
?>
